<?xml version="1.0" encoding="UTF-8"?>
<mapping>
  <description>Castor generated mapping file</description>
  <class cst:name="jp.terasoluna.rich.functionsample.inputcheck.bean.ArrayData">
    <description>Default mapping for class jp.terasoluna.rich.functionsample.inputcheck.bean.ArrayData</description>
    <map-to cst:xml="ArrayData"/>
    <field cst:name="requiredArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="requiredArray" node="element"/>
    </field>                
    <field cst:name="maskArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="maskArray" node="element"/>
    </field>                    
    <field cst:name="byteArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="byteArray" node="element"/>
    </field>    
    <field cst:name="shortArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="shortArray" node="element"/>
    </field>        
    <field cst:name="integerArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="integerArray" node="element"/>
    </field>                
    <field cst:name="longArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="longArray" node="element"/>
    </field>            
    <field cst:name="floatArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="floatArray" node="element"/>
    </field>                
    <field cst:name="doubleArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="doubleArray" node="element"/>
    </field>                    
    <field cst:name="dateArray" ccst:collection="array" st:type="java.lang.String">
      <bind-xml name="dateArray" node="element"/>
    </field>    
    <field cst:name="intRangeArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="intRangeArray" node="element"/>
    </field>        
    <field cst:name="doubleRangeArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="doubleRangeArray" node="element"/>
    </field>                
    <field cst:name="floatRangeArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="floatRangeArray" node="element"/>
    </field>                
    <field cst:name="maxLengthArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="maxLengthArray" node="element"/>
    </field>                    
    <field cst:name="minLengthArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="minLengthArray" node="element"/>
    </field>    
    <field cst:name="alphaNumericStringArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="alphaNumericStringArray" node="element"/>
    </field>        
    <field cst:name="capAlphaNumericStringArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="capAlphaNumericStringArray" node="element"/>
    </field>                
    <field cst:name="numberArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="numberArray" node="element"/>
    </field>                
    <field cst:name="hankakuKanaStringArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="hankakuKanaStringArray" node="element"/>
    </field>                    
    <field cst:name="hankakuStringArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="hankakuStringArray" node="element"/>
    </field>    
    <field cst:name="zenkakuStringArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="zenkakuStringArray" node="element"/>
    </field>        
    <field cst:name="zenkakuKanaStringArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="zenkakuKanaStringArray" node="element"/>
    </field>                
    <field cst:name="prohibitedArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="prohibitedArray" node="element"/>
    </field>                
    <field cst:name="numericStringArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="numericStringArray" node="element"/>
    </field>                    
    <field cst:name="stringLengthArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="stringLengthArray" node="element"/>
    </field>    
    <field cst:name="urlArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="urlArray" node="element"/>
    </field>        
    <field cst:name="byteRangeArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="byteRangeArray" node="element"/>
    </field>                
    <field cst:name="dateRangeArray" cst:collection="array" cst:type="java.lang.String">
      <bind-xml name="dateRangeArray" node="element"/>
    </field>                    
  </class>
</mapping>